<!-- Frame -->
<html>

<head>
<title></title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language="JavaScript" src="{%glo:cfgWebRoot%}gui/scripts.js"></script>
<script type="text/javascript" src="{%glo:cfgWebRoot%}gui/fckeditor/fckeditor.js"></script>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={%str:key%}"
      type="text/javascript"></script>

<script language="JavaScript" type="text/javascript">
    function UpdateReturnValues()
    {
      if(typeof(window.parent.dialogArguments) != "string")
      {
        window.parent.dialogArguments[0].value = document.getElementById("mapcoords").value;
        window.parent.dialogArguments[1].value = document.getElementById("mapzoom").value;
      }else
      {
        window.returnValue = document.getElementById("mapcoords").value + ', ' + document.getElementById("mapzoom").value;
      }
    }

    function InitMap()
    {
      var zoom = 7;
      var lat = 56.86098575;
      var lng = 24.12597656;
      var setmarker = false;
      if(typeof(window.parent.dialogArguments) != "string")
      {
        if(window.parent.dialogArguments[0].value)
        {
          var latlng = window.parent.dialogArguments[0].value.split(',');
          lat = parseFloat(latlng[0]);
          lng = parseFloat(latlng[1]);
          setmarker = true;
        }
        if(window.parent.dialogArguments[1].value)
        {
          zoom = parseInt(window.parent.dialogArguments[1].value, 10);
        }
      }else
      {
        if(window.parent.dialogArguments)
        {
          var latlng = window.parent.dialogArguments.split(',');
          zoom = parseInt(latlng[2].value, 10);
          lat = parseFloat(latlng[0]);
          lng = parseFloat(latlng[1]);
          setmarker = true;
        }
      }

      if(!window.mapInited)
      {
        if (GBrowserIsCompatible())
        {
           var params = {draggableCursor:'crosshair', draggingCursor: 'move'};
           var map = new GMap2(document.getElementById("map"), params);
           center = new GLatLng( lat, lng );
           map.setCenter( center, zoom );
           document.getElementById("mapzoom").value = zoom;
           document.getElementById("mapcoords").value = center.lat() + ", " + center.lng();
           map.addControl(new GLargeMapControl());
           map.enableScrollWheelZoom();

           if(lat && lng && setmarker)
           {
             window.marker = new GMarker(center, {draggable: true});
             map.addOverlay(marker);
           }

           GEvent.addListener( map, "click", function( ovr, coords, ovrlcoords ) {
             //if clicked on map
             if(!ovr)
             {
               if(window.marker)
               {
                 //move marker
                 window.marker.setPoint(coords);
               }else
               {
                 //create new marker
                 window.marker = new GMarker(coords, {draggable: true});
                 map.addOverlay(marker);
               }
               document.getElementById("mapcoords").value = coords.lat() + ", " + coords.lng();
               UpdateReturnValues();
             }
           });

           GEvent.addListener( map, "zoomend", function( oldLevel, newLevel ) {
             document.getElementById("mapzoom").value = map.getZoom();
             UpdateReturnValues();
           });
        }

        window.mapInited = true;
      }
    }

    </script>


</head>

<body bgcolor="#ffffff" onload="InitMap();">
<div id="map" style="width:{%str:mapw%}px;height:{%str:maph%}px">
</div>
<form name="Form" id="Form">
<input type="hidden" name="mapzoom" id="mapzoom" />
<input type="hidden" name="mapcoords" id="mapcoords" />
</form>

</body>

</html>
